Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005936 [JEDI VCL] 00 JVCL Components major always 2012-07-20 21:52 2012-09-10 14:15
Reporter jedidoesntwork View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005936: JVCL components do not install under Delphi 7 Pro
Description I just downloaded JVCL345CompleteJCL231-Build4197.zip

I unzipped the ZIP, then ran the install.bat files for the jcl and the jvcl. The former installed fine. The latter, simply does not work. Regardless of the components I select to install, the following error occurs during the compilation stage of the installer (see 'additional info')

Someone has a garbage character in the jvcl\run\JvPageSetup.pas file
Additional Information Windows 7 Ultimate Service Pack 1 (6.1.7601)

JVCL 3.45.0.0

[Generating: Packages]
Generating packages for D7
    Loaded template.dof
    Loaded template.dpk
    Loaded template.rc
[Compiling: Packages]
[Compiling: JvCore70.bpl]
[Compiling: JvSystem70.bpl]
[Compiling: JvStdCtrls70.bpl]
[Compiling: JvControls70.bpl]
[Compiling: JvAppFrm70.bpl]
[Compiling: JvBands70.bpl]
[Compiling: JvCustom70.bpl]
[Compiling: JvDlgs70.bpl]
Borland Delphi Version 15.0
Copyright (c) 1983,2002 Borland Software Corporation
D:\delphi\jvcl\run\JvPageSetup.pas(1) Error: Illegal character in input file: 'ï' ($EF)
JvDlgs.dpk(86) Fatal: Could not compile used unit '..\..\run\JvPageSetup.pas'
Tags No tags attached.
Attached Files jpg file icon jvcl.jpg [^] (147,597 bytes) 2012-07-20 21:52

- Relationships

-  Notes
(0020068)
Arioch (developer)
2012-07-24 11:48

most probably not garbage but a Unicode

can u open in some hex viewer the file and see the beginning of it as hex numbers ?

to me this file is not unicode, but mine is fro mSVN not from zip

Most probably You can use notepad to open it and save in ANSI encoding
(0020081)
jedidoesntwork (reporter)
2012-08-08 00:55

>> can u open in some hex viewer the file and see the beginning
>> of it as hex numbers ?

I don't believe you understand the problem. The INSTALLATION WIZARD generates the error. The installation wizard blows up, so I don't even get a chance to "open the file in some hew viewer."
(0020082)
Arioch (developer)
2012-08-08 07:44

there is no relation. Installation wizards just registers files in Delphi.

you can always do the same without wizard by standard Delphi ways of installing packages, just you would have to carefully manually set folders and open packages in correct dependency order.

as long as u unpacked zip you can open any file any way you wish.

more so, even wizard is just a PAS-file, that is compiled on request, like the rest of library
(0020122)
AHUser (developer)
2012-08-19 20:09

This file format problem (UTF8 vs. ANSI) was fixed in svn revision 13108 (2011-09-07)

- Issue History
Date Modified Username Field Change
2012-07-20 21:52 jedidoesntwork New Issue
2012-07-20 21:52 jedidoesntwork File Added: jvcl.jpg
2012-07-24 11:48 Arioch Note Added: 0020068
2012-08-07 12:49 Arioch Status new => feedback
2012-08-08 00:55 jedidoesntwork Note Added: 0020081
2012-08-08 07:44 Arioch Note Added: 0020082
2012-08-19 20:09 AHUser Note Added: 0020122
2012-08-19 20:09 AHUser Status feedback => resolved
2012-08-19 20:09 AHUser Fixed in Version => Daily / SVN
2012-08-19 20:09 AHUser Resolution open => fixed
2012-08-19 20:09 AHUser Assigned To => AHUser
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker